module.exports = {
  experimental: {
    forceSwcTransforms: true,
  },
  swcMinify: true,
  trailingSlash: true,
  env: {
    INTERCOM_APP_ID: process.env.INTERCOM_APP_ID,
    RAPID_API_KEY: process.env.RAPID_API_KEY,
    IELTS_SERVICE_URL: process.env.IELTS_SERVICE_URL,
    NPM_PACKAGE_VERSION: process.env.npm_package_version,
  },
  async headers() {
    return [
      {
        source: '/(.*)',
        headers: [
          {
            key: 'Content-Security-Policy',
            value: [
              "default-src 'self';",
              "style-src 'self' fonts.googleapis.com 'unsafe-inline';",
              "font-src 'self' fonts.gstatic.com;",
              "img-src 'self' data:;",
              "script-src 'self' 'unsafe-inline' 'unsafe-eval' *.google-analytics.com *.googletagmanager.com;",
              "connect-src 'self' *.google-analytics.com *.launchdarkly.com data:;",
              "worker-src 'self' blob:;",
              "media-src 'self' blob:;",
              "frame-src 'self' *.googletagmanager.com;",
            ].join(' '),
          },
        ],
      },
    ];
  },
};
