export type Level = {
  title: string;
  description: string;
  image: string;
  minDuration?: number;
  maxDuration?: number;
};

export type ScriptedLevel = Level & {
  data: Array<{
    text: string;
    audioUrl: string;
  }>;
};

export type UnscriptedLevel = Level & {
  data: {
    questions: Array<string>;
    pictures?: Array<{
      url: string;
      description: string;
    }>;
    video?: string;
    context?: Array<string>;
  };
};

export type Products = {
  scripted: {
    title: string;
    description: string;
    image: string;
    levels: Record<string, ScriptedLevel>;
    tag?: string;
  };
  unscripted: {
    title: string;
    description: string;
    image: string;
    levels: Record<string, UnscriptedLevel>;
    tag?: string;
  };
  // writing: {
  //   title: string;
  //   description: string;
  //   image: string;
  //   tag?: string;
  // };
};
