import { APIResult } from './lcat';
import { VocabularyResult, GrammarResult, MistakeCorretionPosition } from './ielts';

export type LCWritingResult = APIResult & {
  text: string;
  relevance: {
    relevance: 'NOT RELEVANT' | 'PARTIALLY RELEVANT' | 'RELEVANT';
    feedback: string;
  };
  vocabulary: VocabularyResult;
  grammar: GrammarResult;
  writing: WritingResult;
};

export type WritingResult = {
  metrics: WritingMetrics;
  feedback: {
    tagged_transcript: string;
  };
};

export type WritingMetrics = {
  grammar_errors: Array<MistakeCorretionPosition>;
  spelling_errors: Array<MistakeCorretionPosition>;
  punctuation_errors: Array<MistakeCorretionPosition>;
  missing_word_errors: Array<MistakeCorretionPosition>;
  word_choice_errors: Array<MistakeCorretionPosition>;
  word_repetition_errors: Array<MistakeCorretionPosition>;
};
