import { setStyleForScore, setColor } from '../../utils/getScoreColor';

describe('setStyleForScore', () => {
  it('should return red color for background and text when score is 32', () => {
    expect(setStyleForScore(32)).toStrictEqual({
      backgroundColor: 'rgba(240, 119, 109, 0.2)',
      color: '#F0776D',
    });
  });

  it('should return yellow color for background and text when score is 66', () => {
    expect(setStyleForScore(66)).toStrictEqual({
      backgroundColor: 'rgba(244, 227, 181, 0.2)',
      color: '#F2BF3B',
    });
  });

  it('should return green color for background and text and score is 68', () => {
    expect(setStyleForScore(68)).toStrictEqual({
      backgroundColor: 'rgba(132, 186, 116, 0.2)',
      color: '#599F44',
    });
  });
});

describe('setColor', () => {
  it('should return red color is 32', () => {
    expect(setColor(32)).toStrictEqual('#F0776D');
  });

  it('should return yellow color is 66', () => {
    expect(setColor(66)).toStrictEqual('#F2BF3B');
  });

  it('should return green color is 68', () => {
    expect(setColor(68)).toStrictEqual('#599F44');
  });
});
