import FeatureCard from './FeatureCard';
import pricing from '../utils/pricing.json';
import { useTheme } from '@mui/material';
import useResponsive from '../hooks/useResponsive';

export default function ApiPricingCard() {
  const theme = useTheme();
  const isMobile = useResponsive('down', 'sm');
  const pricingLink = process.env.NEXT_PUBLIC_PRICING_PAGE_URL ?? '';

  return (
    <FeatureCard
      horizontal={!isMobile}
      title={pricing.title}
      description={pricing.description}
      image={pricing.image}
      handleClick={() => window.open(pricingLink, '_blank', 'noopener noreferrer')}
      buttonText="View pricing"
      aspectRatio=""
      background="linear-gradient(91.34deg, #3BA09E -3.92%, #6CC6C4 106.61%)"
      textColor={theme.palette.common.white}
      buttonTextColor={theme.palette.grey[800]}
      buttonBackground={theme.palette.grey[100]}
    />
  );
}
