import { useMemo } from 'react';
// @mui
import { useTheme } from '@mui/material';
// component
import DetailedTranscriptLegend from './DetailedTranscriptLegend';
// types
import { VocabularyMetrics } from '../@types/ielts';

type DetailedTranscriptLegendVocabProps = {
  feedback: VocabularyMetrics;
};

export default function DetailedTranscriptLegendVocab(props: DetailedTranscriptLegendVocabProps) {
  const { feedback } = props;
  const theme = useTheme();
  const legends = useMemo(() => {
    const legends = [
      {
        name: 'Idioms',
        color: theme.palette.chart.blue[3],
        key: 'idiom-legend',
        count: feedback?.idiom_details?.length ?? 0,
      },
    ];
    return legends;
  }, [theme, feedback]);

  return <DetailedTranscriptLegend legends={legends} />;
}
