import Script from 'next/script';

const GoogleAnalytics = () => {
  const googleAnalyticsTrackingId = process.env.NEXT_PUBLIC_GOOGLE_ANALYTICS_TRACKING_ID;
  if (!googleAnalyticsTrackingId) return null;

  return (
    <>
      <Script
        strategy="afterInteractive"
        src={`https://www.googletagmanager.com/gtag/js?id=${googleAnalyticsTrackingId}`}
      />
      <Script id="google-analytics" strategy="afterInteractive">
        {`
            window.dataLayer = window.dataLayer || [];
            function gtag(){dataLayer.push(arguments);}
            gtag('js', new Date());
            gtag('config', ${googleAnalyticsTrackingId});
          `}
      </Script>
    </>
  );
};

export default GoogleAnalytics;
