// @mui
import React from 'react';
import { styled } from '@mui/material/styles';
import { Box } from '@mui/material';
import dynamic from 'next/dynamic';
// @ts-ignore
const ReactMic = dynamic(() => import('@cleandersonlobo/react-mic').then((mod) => mod.ReactMic), {
  ssr: false,
});

const RootStyle = styled(Box)(() => ({
  display: 'none',
  flexDirection: 'column',
  alignItems: 'center',
}));

type RecordProps = {
  recording: boolean;
  onStop: (recordedBlob: any) => void;
};

export default function Record(props: RecordProps) {
  const { recording, onStop } = props;

  return (
    <RootStyle>
      <ReactMic
        // @ts-ignore
        record={recording}
        onStop={onStop}
        visualSetting="none"
        mimeType="audio/mp3"
        echoCancellation={true}
        autoGainControl={true}
        noiseSuppression={true}
      />
    </RootStyle>
  );
}
