// form
import { useFormContext, Controller } from 'react-hook-form';
// @mui
import { Stack, TextField, TextFieldProps, Typography } from '@mui/material';

// ----------------------------------------------------------------------

interface IProps {
  name: string;
}

export default function RHFTextField({ name, label, ...other }: IProps & TextFieldProps) {
  const { control } = useFormContext();

  return (
    <Controller
      name={name}
      control={control}
      render={({ field, fieldState: { error } }) => (
        <Stack spacing={0.8}>
          <Typography variant="subtitle2">{label}</Typography>
          <TextField {...field} fullWidth error={!!error} helperText={error?.message} {...other} />
        </Stack>
      )}
    />
  );
}
