import { useState } from 'react';

export const useTranscriptPopover = () => {
  const [anchorEl, setAnchorEl] = useState<HTMLElement | null>(null);
  const open = Boolean(anchorEl);
  const [title, setTitle] = useState<string>('');
  const [description, setDescription] = useState('');

  const handlePopoverOpen = (
    event: React.MouseEvent<HTMLElement>,
    title: string,
    description: string
  ) => {
    setAnchorEl(event.currentTarget);
    setTitle(title);
    setDescription(description);
  };

  const handlePopoverClose = () => {
    setAnchorEl(null);
  };

  return {
    anchorEl,
    open,
    title,
    description,
    handlePopoverOpen,
    handlePopoverClose,
  };
};
