//mui
import { Stack } from '@mui/material';
// components
import FeedbackCard from 'src/components/FeedbackCard';
// type
import { Feedback } from '../@types/feedback';

export type FeedbackProps = {
  uniqueId?: string;
  data: Feedback[];
};

function FeedbackSection(props: FeedbackProps) {
  const { uniqueId, data } = props;

  return (
    <Stack sx={{ width: '100%' }} direction="column" gap={2} flexWrap="wrap">
      {data.map((feedback) => (
        <FeedbackCard
          title={feedback.title}
          content={feedback.content}
          value={feedback.value}
          speechPhrase={feedback.speechPhrase}
          key={`${uniqueId ?? ''}-${feedback.title}`}
          children={feedback.children}
          plain={feedback.plain}
        />
      ))}
    </Stack>
  );
}

export default FeedbackSection;
