// mui
import { Typography, styled } from '@mui/material';

const RootStyle = styled('footer')(() => ({
  display: 'flex',
  justifyContent: 'center',
  alignItems: 'center',
  flexDirection: 'row',
  flexWrap: 'wrap',
  paddingInline: 'max(0.5em, calc((100% - clamp(300px, 90%, 1200px)) / 2))',
  paddingBlock: '1.5em',
  gap: '1em',
}));

type FooterProps = {
  backgroundColor?: string;
};

export default function Footer({ backgroundColor }: FooterProps) {
  return (
    <RootStyle sx={{ backgroundColor: backgroundColor || 'transparent' }}>
      <Typography fontSize={14} fontWeight={400} fontStyle="italic">
        Powered by Language Confidence with Oxford Languages content
      </Typography>
    </RootStyle>
  );
}
