export const SKILLS = ['fluency', 'pronunciation', 'grammar', 'vocabulary'];

export const TESTS = ['ielts', 'pte', 'cefr'];

export const CEFR_BANDS = ['A1', 'A2', 'B1', 'B2', 'C1', 'C2'];

export const CEFR_TO_NUMBER = {
  A1: 1,
  A2: 2,
  B1: 3,
  B2: 4,
  C1: 5,
  C2: 6,
};

export const scaleIeltsScore = (score: number) => Math.round(score * 2) / 2;

export const convertCefrToNumber = (cefr: string | number): number => {
  if (typeof cefr === 'number') return cefr;
  return CEFR_TO_NUMBER[cefr.toUpperCase() as keyof typeof CEFR_TO_NUMBER];
};

export const convertNumberToCefr = (cefr: string | number): string => {
  if (typeof cefr === 'string') return cefr;
  return CEFR_BANDS[Math.min(Math.max(cefr - 1, 0), CEFR_BANDS.length - 1)];
};
